# define _29r dir macros
TMPF:=$(shell tmpf=$$(mktemp /tmp/ddefs.XXXXXXXXX);_29r_dirdefs-make > $$tmpf;echo $$tmpf)
$(foreach L,$(shell set -- $$(wc -l $(TMPF)); seq $$1),$(eval $(shell sed -ne $(L)p $(TMPF))))
$(shell rm -f $(TMPF))

_Tom_Rodman_email = Tom Rodman <Rodman.T.S@gmail.com>
  # TBD define from config file

_29r_street_name = $(shell source $(_29r)/package/cur/main/etc/_29r_street_name.conf;\
   echo $$_29r_street_name )

_29r_sh.m4: _29r_sh.m4.sed-src $(_29r)/package/cur/main/etc/_29r_street_name.conf
	sed \
    -e 's/_29r_street_name@sed/$(_29r_street_name)/g'  \
    -e 's/_Tom_Rodman_email@sed/$(_Tom_Rodman_email)/g'  \
    < $< >$@

